Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMeshCreator

    java.lang.Object
      igeo.IMeshCreator

    public class IMeshCreator

extends java.lang.Object

Miscellious static methods to instantiate IMesh object.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara
See Also:
  `IMesh`

Field Summary
`static IServerI` | `server` state variable of a server to store surfaces created in the methods in this class
`static IMeshType` | `type` state variable of a mesh type to specify what vertex, edge face class to use to create a mesh, default is IMeshType

Constructor Summary
`IMeshCreator()`

Method Summary
`static IMesh` | `box(double x, double y, double z, double size)`
`static IMesh` | `box(double x, double y, double z, double width, double height, double depth)`
`static IMesh` | `box(IVecI[][][] corners)`
`static IMesh` | `box(IVecI origin, double size)`
`static IMesh` | `box(IVecI origin, double width, double height, double depth)`
`static IMesh` | `box(IVecI origin, IVecI xvec, IVecI yvec, IVecI zvec)`
`static IMesh` | `box(IVecI pt1, IVecI pt2, IVecI pt3, IVecI pt4, IVecI pt5, IVecI pt6, IVecI pt7, IVecI pt8)`
`static IMesh` | `box(IVertex[][][] corners)`
`static IMesh` | `mesh()`
`static IMesh` | `mesh(java.util.ArrayList<ICurveI> lines)`
`static IMesh` | `mesh(java.util.ArrayList<IVertex> v, java.util.ArrayList<IEdge> e, java.util.ArrayList<IFace> f)`
`static IMesh` | `mesh(double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3)`
`static IMesh` | `mesh(double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3, double x4, double y4, double z4)`
`static IMesh` | `mesh(IFace[] fcs)`
`static IMesh` | `mesh(IMesh m)`
`static IMesh` | `mesh(IMeshGeo m)`
`static IMesh` | `mesh(IVec[] vert)`
`static IMesh` | `mesh(IVec[][] matrix)`
`static IMesh` | `mesh(IVec[][] matrix, boolean triangulateDir)`
`static IMesh` | `mesh(IVec[][] matrix, int unum, int vnum, boolean triangulateDir)`
`static IMesh` | `mesh(IVecI v1, IVecI v2, IVecI v3)`
`static IMesh` | `mesh(IVecI v1, IVecI v2, IVecI v3, IVecI v4)`
`static IMesh` | `mesh(IVertex[] vert)`
`static IMesh` | `mesh(IVertex[] vtx, IEdge[] edg, IFace[] fcs)`
`static IMesh` | `mesh(IVertex v1, IVertex v2, IVertex v3)`
`static IMesh` | `mesh(IVertex v1, IVertex v2, IVertex v3, IVertex v4)`
`static IMeshType` | `meshType()`
`static void` | `meshType(IMeshType typ)` set variable of a mesh type to specify what vertex, edge face class to use to create a mesh
`static IVec[]` | `polygonProfile(IVecI center, IVecI normal, IVecI rollDir, double radius, int vertexNum)`
`static IMesh` | `polygonStick(ICurveI crv, double radius, int polygonVertexNum)`
`static IMesh` | `polygonStick(ICurveI crv, double radius, int polygonVertexNum, int railSegmentNum)`
`static IMesh` | `polygonStick(IVecI pt1, IVecI pt2, double radius1, double radius2, int polygonVertexNum)` creates closed mesh stick with polygon profile
`static IMesh` | `polygonStick(IVecI pt1, IVecI pt2, double radius1, double radius2, int polygonVertexNum, IVecI heightDir)` creates closed mesh stick with polygon profile
`static IMesh` | `polygonStick(IVecI pt1, IVecI pt2, double radius, int polygonVertexNum)` creates closed mesh stick with polygon profile
`static IMesh` | `polygonStick(IVecI pt1, IVecI pt2, double radius, int polygonVertexNum, IVecI heightDir)` creates closed mesh stick with polygon profile
`static IMesh` | `rectStick(IVecI pt1, IVecI pt2, double width, double height)` height direction is z axis
`static IMesh` | `rectStick(IVecI pt1, IVecI pt2, double width, double height, IVecI heightDir)`
`static IMesh` | `rectStick(IVecI pt1, IVecI pt2, IVecI udir, IVecI vdir)`
`static IMesh` | `roundStick(ICurveI crv, double radius)`
`static IMesh` | `roundStick(ICurveI crv, double radius, int railSegmentNum)`
`static IMesh` | `roundStick(IVecI pt1, IVecI pt2, double radius)` round stick (alias of stick())
`static IMesh` | `roundStick(IVecI pt1, IVecI pt2, double radius1, double radius2)` round stick (alias of stick())
`static IServerI` | `server()`
`static void` | `server(IServerI s)` set a server to store surfaces created in the methods in this class
`static IMesh` | `squareStick(ICurveI crv, double radius)`
`static IMesh` | `squareStick(ICurveI crv, double radius, int railSegmentNum)`
`static IMesh` | `squareStick(IVecI pt1, IVecI pt2, double width)` height direction is z axis
`static IMesh` | `squareStick(IVecI pt1, IVecI pt2, double width, IVecI heightDir)`
`static IMesh` | `stick(ICurveI crv, double radius)`
`static IMesh` | `stick(ICurveI crv, double radius, int railSegmentNum)`
`static IMesh` | `stick(IVecI[][] pts)`
`static IMesh` | `stick(IVecI[][] pts, boolean closeU)` creates closed mesh stick with matrix of points
`static IMesh` | `stick(IVecI pt1, IVecI pt2, double radius)` round stick
`static IMesh` | `stick(IVecI pt1, IVecI pt2, double radius1, double radius2)` round stick

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    public static IServerI server

  state variable of a server to store surfaces created in the methods in this class

### type

    public static IMeshType type

  state variable of a mesh type to specify what vertex, edge face class to use to create a mesh, default is IMeshType

Constructor Detail

### IMeshCreator

    public IMeshCreator()

Method Detail

### server

    public static void server(IServerI s)

  set a server to store surfaces created in the methods in this class

### server

    public static IServerI server()

### meshType

    public static void meshType(IMeshType typ)

  set variable of a mesh type to specify what vertex, edge face class to use to create a mesh

### meshType

    public static IMeshType meshType()

### mesh

    public static IMesh mesh()

### mesh

    public static IMesh mesh(IMeshGeo m)

### mesh

    public static IMesh mesh(IMesh m)

### mesh

    public static IMesh mesh(java.util.ArrayList<ICurveI> lines)

### mesh

    public static IMesh mesh(IVec[][] matrix)

### mesh

    public static IMesh mesh(IVec[][] matrix,
                             boolean triangulateDir)

### mesh

    public static IMesh mesh(IVec[][] matrix,
                             int unum,
                             int vnum,
                             boolean triangulateDir)

### mesh

    public static IMesh mesh(java.util.ArrayList<IVertex> v,
                             java.util.ArrayList<IEdge> e,
                             java.util.ArrayList<IFace> f)

### mesh

    public static IMesh mesh(IVertex[] vtx,
                             IEdge[] edg,
                             IFace[] fcs)

### mesh

    public static IMesh mesh(IVec[] vert)

### mesh

    public static IMesh mesh(IVertex[] vert)

### mesh

    public static IMesh mesh(IVertex v1,
                             IVertex v2,
                             IVertex v3)

### mesh

    public static IMesh mesh(IVertex v1,
                             IVertex v2,
                             IVertex v3,
                             IVertex v4)

### mesh

    public static IMesh mesh(IVecI v1,
                             IVecI v2,
                             IVecI v3)

### mesh

    public static IMesh mesh(IVecI v1,
                             IVecI v2,
                             IVecI v3,
                             IVecI v4)

### mesh

    public static IMesh mesh(double x1,
                             double y1,
                             double z1,
                             double x2,
                             double y2,
                             double z2,
                             double x3,
                             double y3,
                             double z3)

### mesh

    public static IMesh mesh(double x1,
                             double y1,
                             double z1,
                             double x2,
                             double y2,
                             double z2,
                             double x3,
                             double y3,
                             double z3,
                             double x4,
                             double y4,
                             double z4)

### mesh

    public static IMesh mesh(IFace[] fcs)

### box

    public static IMesh box(double x,
                            double y,
                            double z,
                            double size)

### box

    public static IMesh box(double x,
                            double y,
                            double z,
                            double width,
                            double height,
                            double depth)

### box

    public static IMesh box(IVecI origin,
                            double size)

### box

    public static IMesh box(IVecI origin,
                            double width,
                            double height,
                            double depth)

### box

    public static IMesh box(IVecI origin,
                            IVecI xvec,
                            IVecI yvec,
                            IVecI zvec)

### box

    public static IMesh box(IVecI pt1,
                            IVecI pt2,
                            IVecI pt3,
                            IVecI pt4,
                            IVecI pt5,
                            IVecI pt6,
                            IVecI pt7,
                            IVecI pt8)

### box

    public static IMesh box(IVecI[][][] corners)

### box

    public static IMesh box(IVertex[][][] corners)

### rectStick

    public static IMesh rectStick(IVecI pt1,
                                  IVecI pt2,
                                  IVecI udir,
                                  IVecI vdir)

### rectStick

    public static IMesh rectStick(IVecI pt1,
                                  IVecI pt2,
                                  double width,
                                  double height,
                                  IVecI heightDir)

  Parameters:
    `heightDir` - it provides reference to the direction of height but actual direction is re-calculated to be perpendicular to pt1-pt2 direction.

### rectStick

    public static IMesh rectStick(IVecI pt1,
                                  IVecI pt2,
                                  double width,
                                  double height)

  height direction is z axis

### squareStick

    public static IMesh squareStick(IVecI pt1,
                                    IVecI pt2,
                                    double width,
                                    IVecI heightDir)

  Parameters:
    `heightDir` - it provides reference to the direction of height but actual direction is re-calculated to be perpendicular to pt1-pt2 direction.

### squareStick

    public static IMesh squareStick(IVecI pt1,
                                    IVecI pt2,
                                    double width)

  height direction is z axis

### polygonStick

    public static IMesh polygonStick(IVecI pt1,
                                     IVecI pt2,
                                     double radius,
                                     int polygonVertexNum)

  creates closed mesh stick with polygon profile

  Parameters:
    `pt1` - center of one side of a stick
    `pt2` - center of another side of a stick
    `polygonVertexNum` - number of vertex of profile polygon

### polygonStick

    public static IMesh polygonStick(IVecI pt1,
                                     IVecI pt2,
                                     double radius,
                                     int polygonVertexNum,
                                     IVecI heightDir)

  creates closed mesh stick with polygon profile

  Parameters:
    `pt1` - center of one side of a stick
    `pt2` - center of another side of a stick
    `polygonVertexNum` - number of vertex of profile polygon
    `heightDir` - reference vector to locate one of vertex of polygon aligned with this direction

### polygonStick

    public static IMesh polygonStick(IVecI pt1,
                                     IVecI pt2,
                                     double radius1,
                                     double radius2,
                                     int polygonVertexNum)

  creates closed mesh stick with polygon profile

  Parameters:
    `pt1` - center of one side of a stick
    `pt2` - center of another side of a stick
    `polygonVertexNum` - number of vertex of profile polygon

### polygonStick

    public static IMesh polygonStick(IVecI pt1,
                                     IVecI pt2,
                                     double radius1,
                                     double radius2,
                                     int polygonVertexNum,
                                     IVecI heightDir)

  creates closed mesh stick with polygon profile

  Parameters:
    `pt1` - center of one side of a stick
    `pt2` - center of another side of a stick
    `polygonVertexNum` - number of vertex of profile polygon
    `heightDir` - reference vector to locate one of vertex of polygon aligned with this direction

### stick

    public static IMesh stick(IVecI[][] pts)

### stick

    public static IMesh stick(IVecI[][] pts,
                              boolean closeU)

  creates closed mesh stick with matrix of points

  Parameters:
    `pts` - control point matrix whose u is stick direction and v is wrapped by connecting the first and the last in v.
    `closeU` - if true, connect the end and the beginning in U direction

### stick

    public static IMesh stick(IVecI pt1,
                              IVecI pt2,
                              double radius)

  round stick

### stick

    public static IMesh stick(IVecI pt1,
                              IVecI pt2,
                              double radius1,
                              double radius2)

  round stick

### roundStick

    public static IMesh roundStick(IVecI pt1,
                                   IVecI pt2,
                                   double radius)

  round stick (alias of stick())

### roundStick

    public static IMesh roundStick(IVecI pt1,
                                   IVecI pt2,
                                   double radius1,
                                   double radius2)

  round stick (alias of stick())

### polygonProfile

    public static IVec[] polygonProfile(IVecI center,
                                        IVecI normal,
                                        IVecI rollDir,
                                        double radius,
                                        int vertexNum)

### polygonStick

    public static IMesh polygonStick(ICurveI crv,
                                     double radius,
                                     int polygonVertexNum,
                                     int railSegmentNum)

### polygonStick

    public static IMesh polygonStick(ICurveI crv,
                                     double radius,
                                     int polygonVertexNum)

### roundStick

    public static IMesh roundStick(ICurveI crv,
                                   double radius,
                                   int railSegmentNum)

### roundStick

    public static IMesh roundStick(ICurveI crv,
                                   double radius)

### stick

    public static IMesh stick(ICurveI crv,
                              double radius,
                              int railSegmentNum)

### stick

    public static IMesh stick(ICurveI crv,
                              double radius)

### squareStick

    public static IMesh squareStick(ICurveI crv,
                                    double radius,
                                    int railSegmentNum)

### squareStick

    public static IMesh squareStick(ICurveI crv,
                                    double radius)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD